Subject: bug#46827: Broken initial size of GTK3 frame

From: martin rudalics <[email-masked]>
Date: Tue, 11 May 2021 10:44:11 +0200

> But what if the tab bar is so long that it wraps and really occupies 2 lines
 > on a GUI?

What are "2 lines on a GUI"?  If you mean "logical lines", only the
display engine - the entity responsible for detecting whether a tab bar
line must be wrapped - can tell.  We could easily set the value of the
'tab-bar-lines' parameter to that - it would make more sense than what
we have now.  Currently, (frame-parameter nil 'tab-bar-lines) yields "3"
when I have one logical tab bar line that wraps when I make the frame
narrow enough.

martin